"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.store = exports.load = exports.yamlPath = void 0;
const path = require("path");
const fs_1 = require("fs");
const yaml = require("js-yaml");
const fs = require("../fsutils");
function yamlPath(cwd) {
    let dir = cwd;
    while (!fs.fileExistsSync(path.resolve(dir, "apphosting.yaml"))) {
        if (fs.fileExistsSync(path.resolve(dir, "firebase.json"))) {
            return null;
        }
        const parent = path.dirname(dir);
        if (parent === dir) {
            return null;
        }
        dir = parent;
    }
    return path.resolve(dir, "apphosting.yaml");
}
exports.yamlPath = yamlPath;
function load(yamlPath) {
    const raw = fs.readFile(yamlPath);
    return yaml.load(raw, yaml.DEFAULT_FULL_SCHEMA);
}
exports.load = load;
function store(yamlPath, config) {
    (0, fs_1.writeFileSync)(yamlPath, yaml.dump(config));
}
exports.store = store;
