"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.command = void 0;
const command_1 = require("../command");
const projectUtils_1 = require("../projectUtils");
const requireInteractive_1 = require("../requireInteractive");
const apphosting_1 = require("../apphosting");
const apphosting_2 = require("../gcp/apphosting");
exports.command = new command_1.Command("apphosting:backends:create")
    .description("create a backend in a Firebase project")
    .option("-l, --location <location>", "specify the region of the backend", "")
    .option("-s, --service-account <serviceAccount>", "specify the service account used to run the server", "")
    .option("-w, --with-dev-connect", "use the Developer Connect flow insetad of Cloud Build Repositories (testing)", false)
    .before(apphosting_2.ensureApiEnabled)
    .before(requireInteractive_1.default)
    .action(async (options) => {
    const projectId = (0, projectUtils_1.needProjectId)(options);
    const location = options.location;
    const serviceAccount = options.serviceAccount;
    const withDevConnect = options.withDevConnect;
    await (0, apphosting_1.doSetup)(projectId, location, serviceAccount, withDevConnect);
});
